libzypp 17.37.10

zyppng::EventLoopPrivate Class Reference

`#include <zypp-core/zyppng/base/private/eventloop_glib_p.h>`

Inheritance diagram for zyppng::EventLoopPrivate:

## Public Member Functions
| EventLoopPrivate (EventLoop &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
std::shared_ptr< EventDispatcher > | _dispatcher
GMainLoop * | _loop = nullptr
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 11 of file eventloop_glib_p.h.

## Constructor & Destructor Documentation

## ◆ EventLoopPrivate()

zyppng::EventLoopPrivate::EventLoopPrivate | ( | EventLoop & | p | ) |

Definition at line 6 of file eventloop_glib.cc.

## Member Data Documentation

## ◆ _dispatcher

std::shared_ptr<EventDispatcher> zyppng::EventLoopPrivate::_dispatcher

Definition at line 17 of file eventloop_glib_p.h.

## ◆ _loop

GMainLoop* zyppng::EventLoopPrivate::_loop = nullptr

Definition at line 18 of file eventloop_glib_p.h.

The documentation for this class was generated from the following files:

- zypp-core/zyppng/base/private/eventloop_glib_p.h
- zypp-core/zyppng/base/eventloop_glib.cc